From 55e19f91931b054c31c271effa28a87acf743e39 Mon Sep 17 00:00:00 2001
From: Victor C <victor.cherepanov@mail.ru>
Date: Thu, 24 May 2018 11:12:39 -0700
Subject: [PATCH 369/369] Detection of ARM NEON for Apple platform

---
 celt/arm/armcpu.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/celt/arm/armcpu.c b/celt/arm/armcpu.c
index 694a63b7..66f8390e 100644
--- a/celt/arm/armcpu.c
+++ b/celt/arm/armcpu.c
@@ -146,6 +146,16 @@ opus_uint32 opus_cpu_capabilities(void)
   }
   return flags;
 }
+#elif defined(__APPLE__)
+opus_uint32 opus_cpu_capabilities(void)
+{
+#if defined(__aarch64__) || defined(__ARM_NEON)
+    return OPUS_CPU_ARM_NEON_FLAG;
+#else
+    /* build for some old Apple device */
+    return 0;
+#endif
+}
 #else
 /* The feature registers which can tell us what the processor supports are
  * accessible in priveleged modes only, so we can't have a general user-space
-- 
2.17.0.windows.1

